function init()
	unlimitedammo = GetBool("savegame.mod.unlimitedammo")
	unlimitedclip = GetBool("savegame.mod.unlimitedclip")
	no_action = GetBool("savegame.mod.no_action")
	input_lever_action = GetString("savegame.mod.input_lever_action")
	input_type = GetString("savegame.mod.type_input")
	smoke_firing = GetFloat("savegame.mod.smoke_firing")
	smoke_impact = GetFloat("savegame.mod.smoke_impact")
	ammo_type = GetInt("savegame.mod.start_ammo")
	if input_lever_action == "" then input_lever_action = "C" end
	if input_type == "" then input_type = "V" end
	if smoke_firing == 0 then smoke_firing = 10 end
	if smoke_impact == 0 then smoke_impact = 20 end
	changing_mode = 0
	smoke_amount_changed = false
end

function draw()
	UiTranslate(UiCenter(), 350)
	UiAlign("center middle")

	UiFont("bold.ttf", 48)
	UiText("ShotGun by gs_115")
	UiFont("regular.ttf", 26)
	UiTranslate(0, 150)
	UiPush()
	    UiTranslate(95, -100)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		last_input = InputLastPressedKey()
		if last_input ~= "" then
		    if changing_mode == 1 then input_lever_action = last_input 
			elseif changing_mode == 2 then  input_type = last_input end
			SetString("savegame.mod.input_lever_action", input_lever_action)
            SetString("savegame.mod.type_input", input_type)
		    changing_mode = 0
		end
	    if UiTextButton(input_lever_action, 50, 30) and changing_mode == 0 then --Bolt Action
		    input_lever_action = "..."
			changing_mode = 1
		end
		UiTranslate(-110, 0)
		UiText("Pump Action:", 150, 30)
		UiTranslate(110, 20)
	    if UiTextButton(input_type, 50, 30) and changing_mode == 0 then --Type Input
		    input_type = "..."
			changing_mode = 2
		end
		UiTranslate(-128, 0)
		UiText("Change Ammo Type:", 150, 30)
		UiTranslate(128, 20)
	UiPop()
	UiTranslate(0, 10)
	UiPush()
	    UiTranslate(-50, -10)
		UiText("Shooting: Smoke Ammount:" ,150, 30)
		UiTranslate(-22, 15)
		UiText("Bullet Impact: Smoke Ammount:" ,150, 30)
		UiTranslate(68, 15)
		UiText("Start Bullet Type:" ,50, 30)
		UiTranslate(-68, -39)
		UiTranslate(180, -70)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		if UiTextButton("<", 40 ,30) then smoke_amount_changed, smoke_firing = true, math.max(math.floor(smoke_firing-1), 0.1)  end
		UiTranslate(45, 0)
		UiText(math.floor(smoke_firing), 40 ,30)
		UiTranslate(45, -26)
		if UiTextButton(">", 40 ,30) then smoke_amount_changed, smoke_firing = true, math.min(math.floor(smoke_firing+1), 30)  end
		
		UiTranslate(-90, 42)
		if UiTextButton("<", 40 ,30) then smoke_amount_changed, smoke_impact = true, math.max(math.floor(smoke_impact-1), 0.1) end
		UiTranslate(45, 0)
		UiText(math.floor(smoke_impact), 40 ,30)
		UiTranslate(45, -26)
		if UiTextButton(">", 40 ,30) then smoke_amount_changed, smoke_impact = true, math.min(math.floor(smoke_impact+1), 20) end
		
		UiTranslate(-90, 41)
		if UiTextButton("<", 40 ,30) then 
		    smoke_amount_changed, ammo_type = true, ammo_type - 1
			if ammo_type < 0 then ammo_type = 5 end
		end
		UiTranslate(45, 0)
		if ammo_type == 0 then att = "N" elseif ammo_type == 1 then att = "DB" elseif ammo_type == 2 then att = "E" elseif ammo_type == 3 then att = "S" elseif ammo_type == 4 then att = "VS" else att = "Sl" end
		UiText(att, 40 ,30)
		UiTranslate(45, -26)
		if UiTextButton(">", 40 ,30) then 
		    smoke_amount_changed, ammo_type = true, ammo_type + 1
			if ammo_type > 5 then ammo_type = 0 end
		end
		if smoke_amount_changed then 
		    smoke_amount_changed = false
			SetFloat("savegame.mod.smoke_firing", smoke_firing)
			SetFloat("savegame.mod.smoke_impact", smoke_impact)
			SetInt("savegame.mod.start_ammo", ammo_type)
		end
	UiPop()
	UiTranslate(0, 115)
	UiPush()
		UiText("Automatic Action")
		UiTranslate(15, 40)
		UiAlign("right")
		UiColor(0.5, 0.8, 1)
		if no_action then
			    if UiTextButton("Yes", 40, 20) then
				    no_action = false
				    SetBool("savegame.mod.no_action", no_action)
			    end
		    else
			    if UiTextButton("No", 40, 20) then
				    no_action = true
				    SetBool("savegame.mod.no_action", no_action)
			    end
		end
	UiPop()
	UiTranslate(0, 60)
	UiPush()
		UiText("Unlimited Clip")
		UiTranslate(15, 40)
		UiAlign("right")
		UiColor(0.5, 0.8, 1)
		if unlimitedclip then
			if UiTextButton("Yes", 40, 20) then
				unlimitedclip = false
				unlimitedammo = false
				SetBool("savegame.mod.unlimitedclip", unlimitedclip)
				SetBool("savegame.mod.unlimitedammo", unlimitedammo)
			end
		else
			if UiTextButton("No", 40, 20) then
				unlimitedclip = true
				unlimitedammo = false
				SetBool("savegame.mod.unlimitedclip", unlimitedclip)
				SetBool("savegame.mod.unlimitedammo", unlimitedammo)
			end
		end
	UiPop()
	if unlimitedclip then
		UiPush()
		    UiTranslate(15, 60)
		    UiText("Unlimited Ammo")
		    UiTranslate(0, 40)
		    UiAlign("right")
		    UiColor(0.5, 0.8, 1)
		    if unlimitedammo then
			    if UiTextButton("Yes", 40, 20) then
				    unlimitedammo = false
				    SetBool("savegame.mod.unlimitedammo", unlimitedammo)
			    end
		    else
			    if UiTextButton("No", 40, 20) then
				    unlimitedammo = true
				    SetBool("savegame.mod.unlimitedammo", unlimitedammo)
			    end
		end
		 UiPop()
	end

	UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)

    local pos_y 
	if unlimitedclip then pos_y = 140 else pos_y = 80 end
	UiTranslate(0, pos_y)
	if UiTextButton("Close", 80, 40) then
		Menu()
	end
end